package com.cyl.h5.controller;

import com.cyl.manager.act.domain.entity.ActivityInfo;
import com.cyl.manager.act.domain.query.ActivityInfoQuery;
import com.cyl.manager.act.service.ActivityInfoService;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.enums.BusinessType;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 活动信息Controller
 *
 * @author zcc
 * @date 2024-07-31
 */
@Api(description ="小程序-活动列表接口")
@RestController
@RequestMapping("/h5/activityInfo")
public class H5ActivityInfoController extends BaseController {
    @Autowired
    private ActivityInfoService service;


    @ApiOperation("查询活动信息列表")
    @PostMapping("/list")
    public ResponseEntity<Page<ActivityInfo>> list(@RequestBody ActivityInfoQuery query, Pageable page) {
        List<ActivityInfo> list = service.selectList(query, page);
        return ResponseEntity.ok(new PageImpl<>(list, page, ((com.github.pagehelper.Page)list).getTotal()));
    }

    @ApiOperation("获取活动信息详细信息")
    @GetMapping(value = "/{id}")
    public ResponseEntity<ActivityInfo> getInfo(@PathVariable("id") Long id) {
        return ResponseEntity.ok(service.selectById(id));
    }
}
