package com.cyl.h5.controller;

import com.cyl.manager.oth.domain.entity.AgreementInfo;
import com.cyl.manager.oth.domain.query.AgreementInfoQuery;
import com.cyl.manager.oth.service.AgreementInfoService;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.enums.BusinessType;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 协议管理信息Controller
 *
 * @author zcc
 * @date 2024-08-01
 */
@Api(description ="小程序-协议管理信息接口列表")
@RestController
@RequestMapping("/h5/agreementInfo")
public class H5AgreementInfoController extends BaseController {
    @Autowired
    private AgreementInfoService service;



    @ApiOperation("小程序-查询协议管理信息列表")
    @PostMapping("/list")
    public ResponseEntity<Page<AgreementInfo>> list(@RequestBody AgreementInfoQuery query, Pageable page) {
        List<AgreementInfo> list = service.selectList(query, page);
        return ResponseEntity.ok(new PageImpl<>(list, page, ((com.github.pagehelper.Page)list).getTotal()));
    }

    @ApiOperation("小程序-获取协议管理信息详细信息")
    @GetMapping(value = "/{id}")
    public ResponseEntity<AgreementInfo> getInfo(@PathVariable("id") Long id) {
        return ResponseEntity.ok(service.selectById(id));
    }
}
