package com.cyl.h5.controller;

import com.cyl.manager.oth.domain.entity.PosterInfo;
import com.cyl.manager.oth.domain.query.PosterInfoQuery;
import com.cyl.manager.oth.service.PosterInfoService;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.enums.BusinessType;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 主引流海报信息Controller
 *
 * @author zcc
 * @date 2024-08-01
 */
@Api(description ="小程序-主引流海报信息接口列表")
@RestController
@RequestMapping("/h5/posterInfo")
public class H5PosterInfoController extends BaseController {
    @Autowired
    private PosterInfoService service;

    @ApiOperation("小程序-查询主引流海报信息列表")
    @PostMapping("/list")
    public ResponseEntity<Page<PosterInfo>> list(@RequestBody PosterInfoQuery query, Pageable page) {
        List<PosterInfo> list = service.selectList(query, page);
        return ResponseEntity.ok(new PageImpl<>(list, page, ((com.github.pagehelper.Page)list).getTotal()));
    }
}
