package com.cyl.h5.controller;

import com.cyl.manager.oth.domain.entity.ScenicSpotInfo;
import com.cyl.manager.oth.domain.query.ScenicSpotInfoQuery;
import com.cyl.manager.oth.service.ScenicSpotInfoService;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.enums.BusinessType;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 展馆&景点信息Controller
 *
 * @author zcc
 * @date 2024-08-01
 */
@Api(description ="小程序-展馆&景点信息接口列表")
@RestController
@RequestMapping("/h5/scenicSpotInfo")
public class H5ScenicSpotInfoController extends BaseController {
    @Autowired
    private ScenicSpotInfoService service;

    @ApiOperation("查询展馆&景点信息列表")
    @PostMapping("/list")
    public ResponseEntity<Page<ScenicSpotInfo>> list(@RequestBody ScenicSpotInfoQuery query, Pageable page) {
        List<ScenicSpotInfo> list = service.selectList(query, page);
        return ResponseEntity.ok(new PageImpl<>(list, page, ((com.github.pagehelper.Page)list).getTotal()));
    }

    @ApiOperation("获取展馆&景点信息详细信息")
    @GetMapping(value = "/{id}")
    public ResponseEntity<ScenicSpotInfo> getInfo(@PathVariable("id") Long id) {
        return ResponseEntity.ok(service.selectById(id));
    }

}
