package com.cyl.manager.act.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseAudit;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.TableName;
/**
 * 活动报名信息对象 activity_apply_info
 * 
 * @author zcc
 */
@ApiModel(description="活动报名信息对象")
@Data
@TableName("activity_apply_info")
public class ActivityApplyInfo extends BaseAudit {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("活动id")
    @Excel(name = "活动id")
    private Long activityId;

    @TableField(exist = false)
    private String coverUrl;
    /**
     * 报名用户id
     */
    @ApiModelProperty("报名用户id")
    @Excel(name = "报名用户id")
    private Long userId;

    @ApiModelProperty("姓名")
    @Excel(name = "姓名")
    private String userName;

    @ApiModelProperty("手机号")
    @Excel(name = "手机号")
    private String phone;

    @ApiModelProperty("活动标题")
    @Excel(name = "活动标题")
    private String activityTitle;


    @ApiModelProperty("核销人员")
    @Excel(name = "核销人员")
    private String cancelUserName;

    @ApiModelProperty("活动时间")
    @Excel(name = "活动时间")
    @TableField(exist = false)
    private String activityDate;

    @ApiModelProperty("报名开始时间")
    @Excel(name = "报名开始时间")
    @TableField(exist = false)
    private String applyStartTime;

    @ApiModelProperty("报名结束时间")
    @Excel(name = "报名结束时间")
    @TableField(exist = false)
    private String applyEndTime;

    @ApiModelProperty("活动地址")
    @Excel(name = "活动地址")
    @TableField(exist = false)
    private String activityAddress;

    @ApiModelProperty("核销码")
    @Excel(name = "核销码")
    private String cancelCode;

    @ApiModelProperty("状态（0：待核销，1：已核销，2：已过期，3：已取消）")
    @Excel(name = "状态", readConverterExp = "0=：待核销，1：已核销，2：已过期，3：已取消")
    private String status;

    @ApiModelProperty("备注")
    @Excel(name = "备注")
    private String remark;

    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;

    @ApiModelProperty("报名人数")
    @Excel(name = "报名人数")
    @TableField(exist = false)
    private String num;

    @ApiModelProperty("人数限制")
    @Excel(name = "人数限制")
    @TableField(exist = false)
    private Long personCondition;

    /**
     * 活动结束时间
     */
    private String activityEndTime;
}
