package com.cyl.manager.act.domain.entity;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseAudit;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.TableName;
/**
 * 活动信息对象 activity_info
 * 
 * @author zcc
 */
@ApiModel(description="活动信息对象")
@Data
@TableName("activity_info")
public class ActivityInfo extends BaseAudit {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("活动标题")
    @Excel(name = "活动标题")
    private String activityTitle;

    @ApiModelProperty("活动时间")
    @Excel(name = "活动时间")
    private String activityDate;

    @ApiModelProperty("报名开始时间")
    @Excel(name = "报名开始时间")
    private String applyStartTime;

    @ApiModelProperty("报名结束时间")
    @Excel(name = "报名结束时间")
    private String applyEndTime;

    @ApiModelProperty("活动地址")
    @Excel(name = "活动地址")
    private String activityAddress;

    @ApiModelProperty("人数限制")
    @Excel(name = "人数限制")
    private Long personCondition;

    @ApiModelProperty("显示顺序")
    @Excel(name = "显示顺序")
    private Integer orderNum;

    @ApiModelProperty("封面图")
    @Excel(name = "封面图")
    private String coverUrl;

    @ApiModelProperty("活动介绍")
    @Excel(name = "活动介绍")
    private String activityIntroduce;

    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    @ApiModelProperty("备注")
    @Excel(name = "备注")
    private String remark;

    @ApiModelProperty("删除标志")
    private String delFlag;

    /**
     * 活动状态（0：启用，1：禁用）
     */
    private String status;

    /**
     * 报名人数
     */
    @TableField(exist = false)
    private Integer num;
}
