package com.cyl.manager.act.domain.query;

import java.time.LocalDateTime;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 活动信息 查询 对象
 *
 * @author zcc
 */
@ApiModel(description="活动信息 查询 对象")
@Data
public class ActivityInfoQuery {
    @ApiModelProperty("活动标题 精确匹配")
    private String activityTitle;

    @ApiModelProperty("活动时间 精确匹配")
    private String activityDate;

    @ApiModelProperty("报名开始时间 精确匹配")
    private String applyStartTime;

    @ApiModelProperty("报名结束时间 精确匹配")
    private String applyEndTime;

    @ApiModelProperty("活动地址 精确匹配")
    private String activityAddress;

    @ApiModelProperty("人数限制 精确匹配")
    private Long personCondition;

    @ApiModelProperty("显示顺序 精确匹配")
    private Integer orderNum;

    @ApiModelProperty("封面图 精确匹配")
    private String coverUrl;

    @ApiModelProperty("活动介绍 精确匹配")
    private String activityIntroduce;

    /**
     * 活动状态（0：启用，1：禁用）
     */
    private String status;

}
