package com.cyl.manager.act.domain.vo;

import com.ruoyi.common.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseAudit;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 活动报名信息 数据视图对象
 *
 * @author zcc
 */
@Data
public class ActivityApplyInfoVO extends BaseAudit {
    /**
     * 主键
     */
    private Long id;
    /**
     * 活动id
     */
    @Excel(name = "活动id")
    private Long activityId;
    /**
     * 报名用户id
     */
    @Excel(name = "报名用户id")
    private Long userId;

    @ApiModelProperty("核销人员")
    private String cancelUserName;

    @ApiModelProperty("姓名")
    @Excel(name = "姓名")
    private String userName;

    @ApiModelProperty("手机号")
    @Excel(name = "手机号")
    private String phone;
    /**
     * 核销码
     */
    @Excel(name = "核销码")
    private String cancelCode;
    /**
     * 状态（0：待核销，1：已核销，2：已过期，3：已取消）
     */
    @Excel(name = "状态", readConverterExp = "0=：待核销，1：已核销，2：已过期，3：已取消")
    private String status;
    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;
}
