package com.cyl.manager.live.domain;

import java.util.Date;

/**
 * 调取微信接口创建直播间所用实体
 *
 * @author songrongzhen
 * @date 2023/05/05
 */
public class WechatzbjView {

    /**
     * 直播间房号
     */
    private Number id;

    /**
     * 直播间名字
     * 是否必填：是
     */
    private String name;

    /**
     * 背景图，填入mediaID（mediaID获取后，三天内有效）
     * 是否必填：是
     */
    private String coverImg;

    /**
     * 直播计划开始时间（开播时间需要在当前时间的10分钟后 并且 开始时间不能在 6 个月后）
     * 是否必填：是
     */
    private Number startTime;

    /**
     * 直播计划结束时间（开播时间和结束时间间隔不得短于30分钟，不得超过24小时）
     * 是否必填：是
     */
    private Number endTime;

    /**
     * 主播昵称
     * 是否必填：是
     */
    private String anchorName;

    /**
     * 主播微信号
     * 是否必填：是
     */
    private String anchorWechat;

    /**
     * 主播副号微信号
     * 是否必填：否
     */
    private String subAnchorWechat;

    /**
     * 创建者微信号
     * 是否必填：否
     */
    private String createrWechat;

    /**
     * 分享图，填入mediaID（mediaID获取后，三天内有效）
     * 是否必填：是
     */
    private String shareImg;

    /**
     * 购物直播频道封面图，填入mediaID（mediaID获取后，三天内有效）
     * 是否必填：是
     */
    private String feedsImg;

    /**
     * 是否开启官方收录 【1: 开启，0：关闭】，默认开启收录
     * 是否必填：否
     */
    private Number isFeedsPublic;

    /**
     * 直播间类型 【1: 推流，0：手机直播】
     * 是否必填：是
     */
    private Number type;

    /**
     * 是否关闭点赞 【0：开启，1：关闭】
     * 是否必填：是
     */
    private Number closeLike;

    /**
     * 是否关闭货架 【0：开启，1：关闭】
     * 是否必填：是
     */
    private Number closeGoods;

    /**
     * 是否关闭评论 【0：开启，1：关闭】
     * 是否必填：是
     */
    private Number closeComment;

    /**
     * 是否关闭回放 【0：开启，1：关闭】
     * 是否必填：否
     */
    private Number closeReplay;

    /**
     * 是否关闭分享 【0：开启，1：关闭】
     * 是否必填：否
     */
    private Number closeShare;

    /**
     * 是否关闭客服 【0：开启，1：关闭】
     * 是否必填：否
     */
    private Number closeKf;
}