package com.cyl.manager.oth.domain.entity;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseAudit;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.TableName;
/**
 * 退货地址信息对象 sales_address_info
 * 
 * @author zcc
 */
@ApiModel(description="退货地址信息对象")
@Data
@TableName("sales_address_info")
public class SalesAddressInfo extends BaseAudit {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("收件人姓名")
    @Excel(name = "收件人姓名")
    private String recipientsName;

    @ApiModelProperty("手机号")
    @Excel(name = "手机号")
    private String phone;

    @ApiModelProperty("收货地址（省市区）")
    @Excel(name = "收货地址", readConverterExp = "省=市区")
    private String address;

    @ApiModelProperty("详细地址")
    @Excel(name = "详细地址")
    private String addressDetail;

}
