package com.cyl.manager.oth.domain.entity;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseAudit;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.TableName;
/**
 * 展馆&景点信息对象 scenic_spot_info
 * 
 * @author zcc
 */
@ApiModel(description="展馆&景点信息对象")
@Data
@TableName("scenic_spot_info")
public class ScenicSpotInfo extends BaseAudit {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("展示方式（0：图文展示，1：图片展示）")
    @Excel(name = "展示方式", readConverterExp = "0=：图文展示，1：图片展示")
    private String showType;

    @ApiModelProperty("展馆&景点名称")
    @Excel(name = "展馆&景点名称")
    private String name;

    @ApiModelProperty("显示顺序")
    @Excel(name = "显示顺序")
    private Integer orderNum;

    @ApiModelProperty("背景图url")
    @Excel(name = "背景图url")
    private String backUrl;

    @ApiModelProperty("封面图url")
    @Excel(name = "封面图url")
    private String coverUrl;

    @ApiModelProperty("展馆&景点介绍")
    @Excel(name = "展馆&景点介绍")
    private String introduce;

    @ApiModelProperty("相关产品id")
    @Excel(name = "相关产品id")
    private String productIds;

    @ApiModelProperty("备注")
    @Excel(name = "备注")
    private String remark;

    private String delFlag;
}
